Aktualiesierung wird nicht abgeschlossen

ucs-4-1
german

#1

Ich habe die Aktualiesierung per Kommandozeile ausführen lassen. Jetzt wird beim Aufruf der UMC-Aktualiesierung immer noch angezeigt, dass UCS aktualiesiert wird und man die Seite daher nicht verlassen soll.

Wie kann man UCS dazu bringen, jetzt normal weiter zu machen?

2017-07-14 16:56:58,665 INFO:univention.appcenter.actions.update:0 file(s) are new
100
2017-07-14 16:56:58,667 DEBUG:univention.appcenter.actions.update.progress:100
Saved 316 apps into cache
2017-07-14 16:56:59,635 DEBUG:univention.appcenter.apps:Saved 316 apps into cache
Checking agorumcore-pro=7.5.5-3415
2017-07-14 16:56:59,916 DEBUG:univention.appcenter.actions.upgrade-search:Checking agorumcore-pro=7.5.5-3415
Checking kde=4
2017-07-14 16:56:59,920 DEBUG:univention.appcenter.actions.upgrade-search:Checking kde=4
Checking kvm=1.1.2
2017-07-14 16:56:59,924 DEBUG:univention.appcenter.actions.upgrade-search:Checking kvm=1.1.2
Checking samba4=4.5
2017-07-14 16:56:59,927 DEBUG:univention.appcenter.actions.upgrade-search:Checking samba4=4.5
100
2017-07-14 16:56:59,930 DEBUG:univention.appcenter.actions.upgrade-search.progress:100
none
Checking for release updates: 2017-07-14 16:57:00,705 ERROR:updater.Updater:Missing component agorumcore-pro_20140718
none
root@ucs100092:~# univention-upgrade

Starting univention-upgrade. Current UCS version is 4.1-4 errata442

Checking for local repository:                          none
Checking for package updates:                           found

The following packages will be upgraded:
 libssl1.0.0,openssl,univention-errata-level

Do you want to continue [Y|n]?

Starting package upgrade                                done

Starting univention-upgrade. Current UCS version is 4.1-4 errata443

Checking for local repository:                          none
Checking for package updates:                           none
Checking for app updates:                               none
Checking for release updates:                          The update to UCS 4.2 is                                 blocked because the component 'agorumcore-pro_20140718' is marked as required.
 none
Setting update/available
Module: kopano-cfg


#2

Sollte es da wirklich seit 3 Jahren kein Update mehr gegeben haben?


#3

Ja, ich denke schon, dass dort schon lange kein “Update” mehr am Paket erfolgt ist. Darum habe ich auch den Hinweis bekommen, dass ich das “aktuelle Update” (auf 7.7) manuell einspielen soll, damit ich auf dem Stand komme, den meine DB vor dem Umzug haben musste.

BTW: Aber trotzdem komme ich aus dem “Aktualisierung Modus” nicht mehr raus. Immer wenn ich die Seite aufrufe, erhalte ich den Hinweis, das ein Update noch am Laufen ist und wenn ich die Seite beenden möchte, dann kommt der Hinweis, dass ich die Seite nicht schließen sollte, da das Update noch nicht abgeschlossen ist.

Was kann ich jetzt machen, damit es wieder normal läuft?


#4

Dann fehlt dem Hinweis wohl der Zusatz, wie mit den registrierten Komponenten umzugehen ist. An dieser Stelle möchte ich mangels konkreter Kenntnisse zu Agorum lieber nichts empfehlen.


#5

ich denke hier ist ein Missverständnis: Das Update von Agorum 7.7 ist vor einigen Monaten gemacht worde. Hier handelt es sich aber um die UCS System/Errata-Updates, die nicht abgeschlossen werden, denn das Agorum.System läuft

Es wurden in der Zwischenzeit auch schon vereinzelt Erratas eingespielt, die dann auch durchgelaufen sind.


#6

Ihr UCS 4.1-4 ist auf Erratalevel 443, das ist m.E. der aktuelle Stand.
Im Log steht dann weiter nur, dass Sie nicht auf 4.2 aktualisieren können weil Ihre Konfiguration eine Komponente “agorumcore-pro_20140718” enthält.

Eventuell ist das aber auch nicht Ihr Problem.

Vielleicht steht dazu je etwas in management-console*.log, univention-upgrade selbst scheint dann ja nicht die Ursache zu sein.


#7

Also das einzige Log mit Fehlern ist das " management-console-server.log"

17.07.17 12:54:57.507  DEBUG_INIT
17.07.17 12:55:00.923  MAIN        ( ERROR   ) : Traceback (most recent call last):
  File "/usr/sbin/univention-management-console-server", line 236, in <module>
    umc_daemon.do_action()
  File "/usr/lib/pymodules/python2.7/daemon/runner.py", line 186, in do_action
    func(self)
  File "/usr/lib/pymodules/python2.7/daemon/runner.py", line 121, in _start
    self.daemon_context.open()
  File "/usr/lib/pymodules/python2.7/daemon/daemon.py", line 344, in open
    self.pidfile.__enter__()
  File "/usr/lib/pymodules/python2.7/lockfile.py", line 223, in __enter__
    self.acquire()
  File "/usr/lib/pymodules/python2.7/daemon/pidlockfile.py", line 109, in acquire
    super(TimeoutPIDLockFile, self).acquire(timeout, *args, **kwargs)
  File "/usr/lib/pymodules/python2.7/daemon/pidlockfile.py", line 59, in acquire
    super(PIDLockFile, self).acquire(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/lockfile.py", line 261, in acquire
    raise LockTimeout
LockTimeout

#8

Ich bin jetzt grad aktuell auf den Server gegangen und die Fehlermeldung des laufenden Updates ist fort :frowning:
Ich werde heute Abend das System neustarten und berichten, ob der Fehler wieder auftaucht - bis dahin schließe ich dieses Thema erstmal